
/*
  A wrapper for some common sorting/filtering methods etc, mostly using java.util.Collections
*/

public static class TransactionUtils
{
  //sort a List of transactions by the title
  public static void sortTransactionsByTitle(ArrayList transactions)
  {
    Collections.sort(transactions, new Comparator()
    {
      public int compare(Object o1, Object o2)
      {
        Transaction t1 = (Transaction) o1;
        Transaction t2 = (Transaction) o2;

        return t1.title.compareToIgnoreCase(t2.title);
      }
    }
    );
  }

  //reverse order of List
  public static void reverse(ArrayList transactions)
  {
    Collections.reverse(transactions); 
  }
 

}

